%define hordedir /usr/share/horde

Summary:        PEAR: Horde timeobjects application

Name:           horde-timeobjects
Version:        2.1.0
Release:        1.lux.1
License:        BSD
Group:          Productivity/Networking/Web/Utilities
Source0:        http://pear.horde.org/get/timeobjects-%{version}.tgz
Source100:	horde-timeobjects.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/timeobjects
BuildRequires:	php-pear >= 1.7.0
Requires:       horde >= 5.0.0, php-pear >= 1.7.0
BuildRequires:  horde php-pear-Horde-Role php-pear-channel-horde
Requires:       php-pear-channel-horde, php-pear-Horde-Role, php-pear-Horde-Core, php-pear-Horde-Date, php-pear-Horde-Exception
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Core >= 2.0.0
Requires:	php-pear-Horde-Core <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Core = 3.0.0alpha1
Requires:	php-pear-Horde-Date >= 2.0.0
Requires:	php-pear-Horde-Date <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Date = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Url >= 2.0.0
Requires:	php-pear-Horde-Url <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Url = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
BuildArch:      noarch

%description
The timeobjects application doesn't have an interface but provides streams
of events to any applications that can consume them, notably the Horde
calendar application. It contains drivers for facebook events and weather
forecasts and can easily be extended by custom drivers.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{hordedir} \
        -s

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT/etc/httpd/conf.d/horde-timeobjects.conf
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/timeobjects ] && mv %{buildroot}/%{_docdir}/timeobjects %{buildroot}/%{_docdir}/%{name}-%{version}


# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/timeobjects.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/timeobjects.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/timeobjects
fi

%files
%defattr(-,root,root)
%config(noreplace)  /etc/httpd/conf.d/horde-timeobjects.conf
%doc %{_docdir}/%{name}-%{version}
%{pear_xmldir}/timeobjects.xml
%{hordedir}/timeobjects

%changelog
